PaidGoods

Create an invoice by hand (New sale), optionally already paid

POST
/v1/stores/{storeId}/invoices

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/invoices" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "lines": [      {        "variantId": "d53feca7-c65b-4741-aca7-827a42d686bf",        "qty": 1      }    ],    "paymentMethodId": "b6df8625-cd25-4123-b345-638aa7b5d011"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "number": -9007199254740991,  "invoiceUrl": "string",  "status": "pending"}